Gemini 3 Pro Image Preview
التكامل
gemini-3-pro-image-preview
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ar/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "gemini-3-pro-image-preview",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
استدعِ نموذج Gemini 3 Pro Image Preview (gemini-3-pro-image-preview) عبر Doitong API. توثيق الوكلاء: https://doitong.com/ar/developers/models/gemini-3-pro-image-preview.md
POST https://api.doitong.com/v1/run/gemini-3-pro-image-preview?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
إذا كانت حالة الاستجابة "queued" أو "running"، فأرسل طلبات GET إلى https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 حتى تصبح "succeeded"؛ توجد الملفات في outputs[].url. يعيد POST https://api.doitong.com/v1/quote/gemini-3-pro-image-preview مع نفس النص الأساسي السعر الدقيق قبل التشغيل.
هذا الطلب: 0.15 $ 150 رصيد API تشغيله في هذه الصفحة
مفتاح API الجديد الخاص بك. يظهر الآن فقط، وهو مُدرج بالفعل في الشيفرة وفي حقل مفتاح API أدناه. احتفظ به سريًا: لا تضعه أبدًا في شيفرة تعمل في المتصفح.
أُنشئت على Doitong
أعمال عامة أُنشئت باستخدام Gemini 3 Pro Image Preview من مجتمع Doitong. أعد استخدام موجّه بنقرة واحدة.
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Нужен кадр вот к этой секунде 00:04 без текста Используй референс только при необходимости, если он есть в кадре по этому сценарию Вот подробный сценарий вирального ролика (Reels/TikTok/Shorts), созданный по всем вашим вводным. **Общая концепция:** Эстетика «old money» и современной роскоши...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Art style: 3D Pixar, highly detailed, vibrant colors, expr.... 3D Pixar style. A dark, snowy city street at night. The banana man looks incredibly guilty and sad as he places the two tiny baby grapes into a metal trash can. Heavy snow is falling. Somber atmosphere....
Art style: 3D Pixar. Young man Dmitry looking exhausted, split image: left side dull grayscale park walk, right side vibrant exploding phone screen and glowing overloaded dopamine receptors in brain overlay. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative...
Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Очаровательная антропоморфная овечка девочка в полный рост, тело удлиненное и...
Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Милая женственная антропоморфная овечка в полный рост, высокая стройная фигура, пушистая светлая шерсть, длинная шея без без шерсти,...
Strong rule: style --- Whimsical 3D Illustration ---. Милая антропоморфная овечка в полный рост, длинная длинная стройная фигура, пушистая кремово-белая кудрявая шерсть, длинная тонкая тонкая шея как палочка без шерсти лысая, большие висячие ушки, светло-коричневая мордочка с мягкими округлыми...
Art style: Whimsical 3D Illustration. Three anthropomorphic sheep teachers sitting under a massive, ancient oak tree in a sunny meadow. Delovushka, wearing a neat grey vest, holds a small notepad and pencil. A smartphone sits on a nearby tree stump. High-quality 3D animation style, warm golden...
[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. рука парня, решительно тянется к экрану монитора своего компьютера и нажимает кнопку 'Включить SILA VPN' на экране. В момент клика вся комната заливается мощным, чистым синим светом. Амогусы с ножами в ужасе отлетают от окон...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Art style: Cinematic, slightly gritty, realistic photography. Света с сосредоточенным видом пытается прикрепить тонкую прядь к густым волосам Ани. Капсула выглядит огромной и кривой . Аня сидит на табуретке, листая ленту в телефоне. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT...
Art style: Cinematic, slightly gritty, realistic photography. В дверях кухни появляется Аня. Она с трудом протискивается в узкий проход. Ее очень густое каре буквально стоит шапкой. Света оглядывает ее с сомнением, но быстро кивает. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT...
Art style: Cinematic, slightly gritty, realistic photography. Аня на кухне протягивает Свете мятую купюру в 100 рублей. Света берет деньги с видом великого мастера, принимающего должное. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive...
Art style: Cinematic, slightly gritty, realistic photography. Вид сзади на голову Ани. Четко видна ровная линия ее густого каре, а из-под нее сиротливо свисает мало тонких,длинные пряди. Выглядит это максимально нелепо. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the...
إنشاء طلب
تُنشأ عناصر التحكم من مخطط النموذج. يتحدّث الرمز والسعر عند تغييرها.
/run/gemini-3-pro-image-preview?wait=20
عرض السعر → 0.15 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "gemini-3-pro-image-preview",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
تشغيل هذا الطلب
يبقى مفتاحك في هذا المتصفح: لا يُرسل إلا إلى Doitong API ويُحفظ في localStorage فقط إذا فعّلت خيار التذكّر. الحصول على مفتاح API
حول Gemini 3 Pro Image Preview
ينشئ من 1 إلى 4 صور من `prompt` يصل إلى 50000 حرف. تكون `resolution` بقيمة 1K أو 2K أو 4K، وتوفر `aspect_ratio` قيمة auto وتسع نسب ثابتة. تتوفر `system_prompt` و`enable_web_search`، ويمكن أن يكون الإخراج PNG أو JPEG أو WebP.
المعاملات
أرسل الاسم الأساسي أو الاسم الأصلي، وليس كليهما. الأسماء الأساسية
promptمطلوب
num_imagesاختياري
num_outputs
seedاختياري
aspect_ratioاختياري
output_formatاختياري
safety_toleranceاختياري
system_promptاختياري
resolutionاختياري
limit_generationsاختياري
enable_web_searchاختياري
المخرجات
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "gemini-3-pro-image-preview",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
حقول المخرجات
- images
- array of object {url, content_type, file_name, file_size, width, height}الصور الناتجة عن النموذج.
- description
- stringوصف مصاحب للصور المولّدة.
أنواع Gemini 3 Pro Image Preview الأخرى
مزيد من النماذج: من نص إلى صورة
لوكلاء الذكاء الاصطناعي: تتوفر هذه الصفحة بصيغة Markdown على https://doitong.com/ar/developers/models/gemini-3-pro-image-preview.md. جميع النماذج والأدلة: https://doitong.com/developers/llms.txt







